import csv
import numpy as np
from vq import vq, kmeans, whiten
print 'Started'
data_arr=[]
i=[]
with open('./final_hollywood/single_feature_csv.csv', 'rb') as csvfile:
	obj = csv.reader(csvfile, delimiter=',', quotechar='|')
	data_arr =[]
	for row in obj:
		i=[]
		for item in row:
			i = i+[float(item)]
		data_arr = data_arr + [i]
#print data_arr
print 'Data loaded'
print 'Size',len(data_arr),' * ',len(data_arr[0])

features  = np.array(data_arr)
data_arr=None
whitened = whiten(features)
k=4000
iteration=10			#10 iterations
print 'k-means started with k = ',k,' and iterations = ',iteration
output= kmeans(whitened,k,iteration)		
#print output
#print type(output[0])
print 'k-means finished'
np.savetxt("./final_hollywood/centroids.csv", output[0], delimiter=",")
