import os

#file_name=input("Input File: "); #give input in double quotes in python 2.7 and direcly with out quotes in py3.3
pathin="D:/semester/cognitive/project_gaze/gaze_hollywood2/samples_12/"
pathout="D:/semester/cognitive/project_gaze/gaze_hollywood2/output_12/"

f_res="D:/semester/cognitive/project_gaze/gaze_hollywood2/resolution.txt"
fp_res=open(f_res,'r')
list_video_res_x = {}				# dictionary..  hastable based fast implementaion of map
list_video_res_y = {}
list_video_fps = {}
for line in fp_res:
	data=line.split()
	list_video_res_x[str(data[0])]= float(data[1])
	list_video_res_y[str(data[0])]= float(data[2])
	list_video_fps[str(data[0])]= int(float(data[3]))

count=1
	
for f in os.listdir(pathin):
	
	print "\nFile name : ",f
	l=f[4:-4]						#string manipulation in python
	print "value l = ",l
	
	fin = pathin + f
	fout = pathout + f
	
	fpin=open(fin,'r')
	fpout=open(fout,'w')
	
	fpout.write("# <x-position> <y-position> <frame-number> <xy-scale> <t-scale> \n")
	
	#this is to select partial approximate number of frames out of all frames==
	frame_no_current=1
	frame_no_old=1
	#==========================================================================	
	
	for line in fpin:
		
		datain=line.split()
		
		if datain[5]!='F': continue
		
		dataout=[None]*5
		dataout[3]=1				# setting up xy scale
		dataout[4]=1				# setting up tau scale
		
		##
		x_screen=float(datain[3])
		y_screen=float(datain[4])
		screen_res_x = 1280.0			# for hollywood-2 from geometry.txt
		screen_res_y = 1024.0
		video_res_x = list_video_res_x[l]
		video_res_y = list_video_res_y[l]
		
		a=video_res_x/screen_res_x;
		b=(screen_res_x-video_res_y/a)/2;
		x_stimulus=a*x_screen;
		y_stimulus=a*(y_screen-b);
		##
		
		dataout[0]=int(x_stimulus)		# x-coordinate
		dataout[1]=int(y_stimulus)		# y-coordinate
				
		dataout[2]=int((float(datain[0])*list_video_fps[l])/1000000) + 1		# time stamp
		frame_no_current = dataout[2]
	
		#======================Partial selection of frames=============================
		if (frame_no_current>= frame_no_old + 12 or frame_no_current == frame_no_old):
			frame_no_old = frame_no_current
		else:
			continue
		#==============================================================================
		
		# output
		out=str(dataout[0])
		for i in range(1,5):
			out = out + " " + str(dataout[i])
		out = out + "\n"
		
		fpout.write(out)
		count=count+1

	fpin.close()
	fpout.close()
	datain=None
	dataout=None

print "count=",count