#!/bash/bin -x

echo "Getting HOG3D Features on Hollywood-2 Action dataset"

for i in $(ls position/);
	do
		name=${i:4}
		name=${name%.txt}

		if [ ! -f ./test_sequences/$name ]
		then
			echo $i
			echo "Not found:" $name
			echo ""
			continue
		fi
		#echo $i
		#echo "Found:" $name
		#echo ""

		$(./hog3D/extractFeatures_static -p ./position/$i ./test_sequences/$name > ./features/${i%.avi.txt}.features)
	done
